Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514889 - Warning image seen in UI for a cluster
Summary: Warning image seen in UI for a cluster
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-ui
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Nishanth Thomas
QA Contact: sds-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-19 09:11 UTC by Rochelle
Modified: 2018-12-07 11:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-07 11:27:15 UTC


Attachments (Terms of Use)
In the cluster tab, for one cluster, a warning image is shown (deleted)
2017-11-19 09:11 UTC, Rochelle
no flags Details

Description Rochelle 2017-11-19 09:11:18 UTC
Created attachment 1355064 [details]
In the cluster tab, for one cluster, a warning image is shown

Description of problem:
========================

After stopping the slave volume as well as the geo-replication session, a warning image is shown in the UI for the slave cluster in clusters tab


Version-Release number of selected component (if applicable):
==============================================================
tendrl-ui-1.5.4-3.el7rhgs.noarch


Actual results:
================

A warning image is seen in the cluster tab for the slave cluster

Expected results:
=================

There should be no warning image

Comment 2 Kanika Murarka 2017-11-20 07:40:15 UTC
As discussed by UX team. There will only be two status for cluster:

'healthy' will be 'pficon-ok'
'unhealthy' will be 'pficon-warning-triangle'.

In reference to Upstream comment[1].

[1] https://github.com/Tendrl/ui/issues/673#issuecomment-335909707

Comment 4 Nishanth Thomas 2018-12-07 11:27:15 UTC
This bug is not valid any more as the status representation of cluster is changed as described in https://bugzilla.redhat.com/show_bug.cgi?id=1514889#c2.
Closing the bz as this change is available in the current release.


Note You need to log in before you can comment on or make changes to this bug.